import React from "react";
import { RouteComponentProps } from "react-router-dom";
import { SemanticCOLORS, DropdownItemProps, DropdownProps } from "semantic-ui-react";
export interface NavItem {
    href: string;
    contents: React.ReactNode;
}
export interface SearchItem {
    key: string | number;
    text: string | number;
    value: string | number;
}
export interface TopBarSearchProps {
    options: SearchItem[];
    onChange: DropdownProps["onChange"];
}
export interface TopBarDropdownProps {
    options: DropdownItemProps[];
    color?: SemanticCOLORS;
    trigger?: React.ReactNode;
}
export interface TopBarProps extends RouteComponentProps {
    title: string;
    logo?: string;
    navigation?: NavItem[];
    dropdown?: TopBarDropdownProps;
    search?: TopBarSearchProps;
}
export declare const TopBar: React.ComponentClass<Pick<TopBarProps, "search" | "navigation" | "title" | "dropdown" | "logo">, any>;
