import { Entity, GraphVertex } from "@hiro-graph/orm";
declare type EntityKeys = keyof Entity<GraphVertex>;
declare type PromiseReturnType<M extends EntityKeys> = ReturnType<Entity<GraphVertex>[M]> extends Promise<infer U> ? U : ReturnType<Entity<GraphVertex>[M]>;
export declare const useGraphState: () => any;
export declare const useGraphQuery: <E extends "Event" | "Subscription" | "AuthApplicationReview" | "TermsAndConditions" | "Person" | "Rating" | "AuthRole" | "AuthApplication" | "AuthOrganization" | "AuthTeam" | "ProjectMilestone" | "ProjectProject" | "Contract" | "UserMetaFilter" | "SurveyReply" | "AuthAccount" | "AuthAccountProfile" | "Notification" | "AuthDataScope" | "AuthDataSet" | "AuthOrgDomain" | "SurveyIteration" | "Timeseries" | "AuthRoleAssignment" | "KnowledgeAcquisitionSession" | "AutomationMARSNode" | "AutomationHistory" | "Task" | "AutomationDynamicEngineData" | "AutomationItem" | "Question" | "AutomationAutomationIssue" | "AutomationKIRanking" | "AutomationKnowledgePool" | "AutomationConfiguration" | "AutomationKnowledgeItemAttribute" | "AutomationKnowledgeBundle" | "AutomationKnowledgeItem" | "AutomationMARSNodeTemplate" | "AutomationTrigger" | "OSLCcrtvServiceInstance" | "ForumWorkflowStep" | "ForumKnowledgeItemHistory" | "ForumProfile" | "ForumTopic" | "Comment" | "ForumReply" | "ForumKnowledgeBundle" | "ForumPost" | "Hyperlink" | "AutomationMAID" | "ServiceManagementOrder" | "AutomationMARSModel" | "AutomationMARSModelTemplate" | "License" | "DataLog" | "NetworkNetworkInterface" | "CostCostElement" | "SoftwareApplication" | "Location" | "Region" | "ServiceManagementService" | "AutomationVariable" | "CostBudget" | "CostCostDistribution" | "Parameter" | "CostPlanningTemplate" | "CostPlanningParameter" | "DataProcessingDataView" | "DataProcessingProgram" | "DatacenterDatacenter" | "DatacenterRoom" | "DatacenterBuilding" | "DatacenterCooling" | "DatacenterPowerDistributionUnit" | "DatacenterSensor" | "Device" | "DatacenterRack" | "DatacenterSection" | "DatacenterServer" | "DatacenterStorage" | "DatacenterUPS" | "FactoryStorageInventory" | "FactoryStorageTank" | "FactoryProductionLine" | "FactoryFactory" | "FactoryMachine" | "Product" | "ForumAward" | "ForumBanner" | "Organization" | "ForumConfiguration" | "ForumWorkflowTemplate" | "ForumWorkflow" | "ForumFeedEntry" | "ForumRole" | "ForumGroup" | "ForumInvite" | "ForumPermission" | "ForumKnowledgeBundleHistory" | "ForumReview" | "Attachment" | "ForumRating" | "ForumShortId" | "ForumTag" | "KnowledgeAcquisitionRoom" | "KnowledgeStep" | "MARSResource" | "MARSApplication" | "MARSMachine" | "MARSSoftware" | "MRPMeasure" | "MRPPart" | "MRPPSG" | "Alert" | "MRPDisposet" | "MRPManufacturer" | "MRPNormItem" | "MRPStore" | "MRPThreshold" | "MRPVorgang" | "MROAviationFacility" | "MRPWorkshop" | "NetworkNetworkSetting" | "NetworkAccessControlList" | "Asset" | "NetworkFCHBA" | "NetworkIDSIPS" | "NetworkSubnet" | "NetworkIPAddress" | "NetworkLoadbalancer" | "NetworkMACAddress" | "NetworkNIC" | "NetworkPort" | "NetworkSlot" | "NetworkWifiAccessPoint" | "NetworkSwitch" | "NetworkRouter" | "NetworkNetworkCard" | "NetworkShelf" | "NetworkNetworkEnclosure" | "NetworkNetworkEndpoint" | "NetworkSimpleDevice" | "NetworkNetworkFabric" | "NetworkNetworkFilter" | "NetworkNetworkLink" | "NetworkVLAN" | "NetworkPortChannel" | "OSLCautomationAutomationPlan" | "OSLCautomationAutomationRequest" | "OSLCautomationAutomationResult" | "OSLCautomationParameterInstance" | "OSLCautomationTeardownAction" | "OSLCchangeChangeRequest" | "PTFDummy" | "PTFTest" | "PTFHiroTopology" | "PriceInvoice" | "PricePriceSpecification" | "RDDLNamespace" | "RDDLResource" | "RPAController" | "RPAObject" | "RPARoboticSystem" | "RPARoboticEnvironment" | "RPASensor" | "RPARobot" | "ServiceManagementAction" | "CatalogItem" | "ServiceManagementChangeRequest" | "ServiceManagementApprovalTask" | "ServiceManagementProblem" | "ServiceManagementIncident" | "ServiceManagementTicket" | "ServiceManagementSLA" | "ConfigurationItem" | "ServiceManagementOffering" | "ServiceManagementReport" | "Penalty" | "ServiceManagementSubTask" | "SoftwareSoftwareComponent" | "SoftwareConnector" | "SoftwareData" | "SoftwareSoftwareConnection" | "StatisticsAutomationFamily" | "SurveySurvey" | "UserMetaQuestion" | "UserMetaGame" | "UserMetaPreferences" | "OSLCarchLinkType" | "OSLCarchResource" | "OSLCassetArtifact" | "OSLCassetAsset" | "OSLCcoreAllowedValues" | "OSLCcoreComment" | "OSLCcoreCompact" | "OSLCcoreCreationFactory" | "OSLCcoreDialog" | "OSLCcoreDiscussion" | "OSLCcoreError" | "OSLCcoreExtendedError" | "OSLCcoreOAuthConfiguration" | "OSLCcorePrefixDefinition" | "OSLCcorePreview" | "OSLCcoreProperty" | "OSLCcorePublisher" | "OSLCcoreQueryCapability" | "OSLCcoreResourceShape" | "OSLCcoreResponseInfo" | "OSLCcoreService" | "OSLCcoreServiceProvider" | "OSLCcoreServiceProviderCatalog" | "OSLCcrtvComputerSystem" | "OSLCcrtvDatabase" | "OSLCcrtvIPAddress" | "OSLCcrtvOperatingSystem" | "OSLCcrtvPath" | "OSLCcrtvProcess" | "OSLCcrtvServerAccessPoint" | "OSLCcrtvSoftwareModule" | "OSLCcrtvSoftwareServer" | "OSLCcrtvStorageVolume" | "OSLCcrtvTablespace" | "OSLCemsBaseline" | "OSLCemsBaselineList" | "OSLCemsCdfPoint" | "OSLCemsCumulativeDistributionFunction" | "OSLCemsDimension" | "OSLCemsDimensionCell" | "OSLCemsDimensionColumn" | "OSLCemsDimensionMember" | "OSLCemsEffortMetric" | "OSLCemsMeasureDistribution" | "OSLCemsWorkBreakdownStructure" | "OSLCemsFactDistributionTable" | "OSLCemsEstimate" | "OSLCemsEstimateList" | "OSLCemsFact" | "OSLCemsFactDistribution" | "OSLCemsFactTable" | "OSLCemsFinancialMetric" | "OSLCemsFormat" | "OSLCemsGrain" | "OSLCemsHead" | "OSLCemsMapping" | "OSLCemsMap" | "OSLCemsUnitOfMeasure" | "OSLCemsMeasure" | "OSLCemsMeasureCell" | "OSLCemsMeasureColumn" | "OSLCemsMeasureDistributionCell" | "OSLCemsMeasurement" | "OSLCemsMeasurementList" | "OSLCemsMetric" | "OSLCemsNormalDistribution" | "OSLCemsPointEstimate" | "OSLCemsPoissonDistribution" | "OSLCemsProbabilityDistribution" | "OSLCemsProcessMetric" | "OSLCemsProductivityMetric" | "OSLCemsProject" | "OSLCemsProjectList" | "OSLCemsQuantile" | "OSLCemsQuantileFunction" | "OSLCemsReliabilityMetric" | "OSLCemsScenario" | "OSLCemsScenarioList" | "OSLCemsService" | "OSLCemsSizeMetric" | "OSLCemsTimeMetric" | "OSLCemsTriangularDistribution" | "OSLCemsUniformDistribution" | "OSLCemsWbsFormat" | "OSLCperfmonAvgJmsGetTime" | "OSLCperfmonAvgLoginRequestFailures" | "OSLCperfmonAvgRequestFailures" | "OSLCperfmonBufferPoolHits" | "OSLCperfmonBufferPoolMetrics" | "OSLCperfmonCpuMetrics" | "OSLCperfmonCpuSpeed" | "OSLCperfmonCpuUsed" | "OSLCperfmonDiskMetrics" | "OSLCperfmonDiskSpaceOverCommitAmount" | "OSLCperfmonDiskSpaceUsed" | "OSLCperfmonFailureMetrics" | "OSLCperfmonGarbageCollectionRequests" | "OSLCperfmonHeapMemoryUsed" | "OSLCperfmonHighDepthQueueCount" | "OSLCperfmonHostedDatabases" | "OSLCperfmonLocalInboundConnections" | "OSLCperfmonLockListUsed" | "OSLCperfmonLogUsed" | "OSLCperfmonLoginRequestFailures" | "OSLCperfmonMemoryAvailableAfterGarbageCollection" | "OSLCperfmonMemoryMetrics" | "OSLCperfmonMessageCount" | "OSLCperfmonMetric" | "OSLCperfmonNetworkIOErrors" | "OSLCperfmonNetworkMetrics" | "OSLCperfmonPerMinute" | "OSLCperfmonPerformanceMonitoringRecord" | "OSLCperfmonQueueDepth" | "OSLCperfmonQueueFull" | "OSLCperfmonRealMemoryUsed" | "OSLCperfmonRemoteInboundConnections" | "OSLCperfmonRequestFailures" | "OSLCperfmonRequestMetrics" | "OSLCperfmonResourceAvailabilityMetrics" | "OSLCperfmonResourceExhaustionMetrics" | "OSLCperfmonResourceUsageMetrics" | "OSLCperfmonResponseTime" | "OSLCperfmonResponseTimeMetrics" | "OSLCperfmonSortOverflows" | "OSLCperfmonSqlStatmentFailures" | "OSLCperfmonTableSpaceFree" | "OSLCperfmonTableSpaceUsed" | "OSLCperfmonThreadPoolMetrics" | "OSLCperfmonTimeDatabaseThreadPoolExhausted" | "OSLCperfmonTimeJCAThreadPoolExhausted" | "OSLCperfmonTimeThreadPoolExhausted" | "OSLCperfmonVirtualMemoryUsed" | "OSLCperfmonVirtualizationMetrics" | "OSLCperfmonVmCpuReady" | "OSLCqmTestCase" | "OSLCqmTestExecutionRecord" | "OSLCqmTestPlan" | "OSLCqmTestResult" | "OSLCqmTestScript" | "OSLCreqmanRequirement" | "OSLCreqmanRequirementCollection" | "Account" | "Catalog" | "Installation" | "Certificate" | "Course" | "CustomApplicationData" | "Email" | "Environment" | "LicenseRequest" | "LicenseToken" | "Note" | "Role" | "MROAviationAircraft" | "Policy" | "MROAviationLayover" | "ParameterType" | "Status" | "Vcard" | "HRRecruitingSkillGroup" | "HRRecruitingSkill" | "HRRecruitingEducation" | "Schema" | "Series" | "TaskList" | "VersioningData" | "MROAviationBay", M extends "replace" | "search" | "decode" | "update" | "find" | "disconnect" | "connect" | "create" | "encode" | "relationQuery" | "findRelationVertices" | "findRelationIds" | "findRelationCount" | "hasRelation" | "fetchCount" | "fetchIds" | "fetchVertices" | "findById" | "findOne" | "findCount">(query: {
    entity: E;
    method: M;
    args?: Parameters<Entity<GraphVertex<string, string>>[M]> | undefined;
}, deps?: readonly any[]) => {
    send: () => () => undefined;
    loading: boolean | undefined;
    response: PromiseReturnType<M>;
    error: string | undefined;
};
export {};
